Hermos API

Get Agent Identity

GET/whoami

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/whoami"
{  "agent_id": "string",  "company_id": "string",  "livemode": true,  "status": "active",  "scopes": [    "string"  ],  "enabled_classes": [    {      "operation_class": "string",      "currencies": [        "string"      ],      "credit_types": [        "string"      ]    }  ],  "limits": [    {      "id": "string",      "agent_id": "string",      "operation_class": "string",      "dimension": "action",      "window": "day",      "timezone": "string",      "currency": "string",      "credit_type": "string",      "max_amount": 0,      "max_count": 0,      "second_approval_above": 0,      "retired": true    }  ],  "usage": [    {      "limit_id": "string",      "bucket_key": "string",      "amount": 0,      "count": 0    }  ],  "always_ask": [    "string"  ],  "over_limit_behavior": "refuse"}